Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::Pollable Interface Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA::Pollable:

[legend]
Collaboration diagram for CORBA::Pollable:

[legend]
List of all members.

## Public Types
typedef Pollable_ptr | _ptr_type
typedef Pollable_var | _var_type
## Public Methods
boolean | is_ready (in unsigned long timeout)
PollableSet | create_pollable_set ()
virtual CORBA::Boolean | is_ready (CORBA::ULong timeout ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::CORBA::PollableSet_ptr | create_pollable_set (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
Pollable_ptr | _duplicate (Pollable_ptr obj)
Pollable_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Pollable_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Pollable_ptr | _nil (void)
| Return a NULL object. More...
## Static Public Attributes
int | _tao_class_id = 0
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| Pollable (void)
virtual | ~Pollable (void)
## Private Methods
| Pollable (const Pollable &)
void | operator= (const Pollable &)

## Member Typedef Documentation

typedef Pollable_ptr CORBA::Pollable::_ptr_type

| Reimplemented from CORBA_Object. Reimplemented in CORBA::DIIPollable.

typedef Pollable_var CORBA::Pollable::_var_type

| Reimplemented from CORBA_Object. Reimplemented in CORBA::DIIPollable.

## Constructor & Destructor Documentation

CORBA::Pollable::Pollable | ( | void |  | ) | `[protected]`

virtual CORBA::Pollable::~Pollable | ( | void |  | ) | `[protected, virtual]`

CORBA::Pollable::Pollable | ( | const Pollable & |  | ) | `[private]`

## Member Function Documentation

Pollable_ptr CORBA::Pollable::_duplicate | ( | Pollable_ptr | obj | ) | `[static]`

virtual const char* CORBA::Pollable::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Object. Reimplemented in CORBA::DIIPollable.

Pollable_ptr CORBA::Pollable::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in CORBA::DIIPollable.

Pollable_ptr CORBA::Pollable::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Object. Reimplemented in CORBA::DIIPollable.

virtual void* CORBA::Pollable::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Object. Reimplemented in CORBA::DIIPollable.

Pollable_ptr CORBA::Pollable::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in CORBA::DIIPollable.

virtual ::CORBA::PollableSet_ptr CORBA::Pollable::create_pollable_set | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

PollableSet CORBA::Pollable::create_pollable_set | ( |  | ) |

virtual CORBA::Boolean CORBA::Pollable::is_ready | ( | CORBA::ULong timeout | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

boolean CORBA::Pollable::is_ready | ( | in unsigned long | timeout | ) |

void CORBA::Pollable::operator= | ( | const Pollable & |  | ) | `[private]`

## Member Data Documentation

int CORBA::Pollable::_tao_class_id = 0`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from CORBA_Object. Reimplemented in CORBA::DIIPollable.

The documentation for this interface was generated from the following files:

- Pollable.pidl
- PollableC.h
- PollableC.cpp